# Uses of Interface
org.eclipse.pde.core.plugin.IPluginExtensionPoint

Packages that use IPluginExtensionPoint
Package
Description
org.eclipse.pde.core.plugin
Application programming interfaces for working with PDE's model of plug-ins.

## Uses of IPluginExtensionPoint in org.eclipse.pde.core.plugin

Methods in org.eclipse.pde.core.plugin that return IPluginExtensionPoint
Modifier and Type
Method
Description
`IPluginExtensionPoint`
IExtensionsModelFactory.`createExtensionPoint()`
Creates a new extension point instance
`IPluginExtensionPoint[]`
IExtensions.`getExtensionPoints()`
Returns extension points defined in this object.
Methods in org.eclipse.pde.core.plugin with parameters of type IPluginExtensionPoint
Modifier and Type
Method
Description
`void`
IExtensions.`add(IPluginExtensionPoint extensionPoint)`
Adds a new extension point to this object.
`void`
IExtensions.`remove(IPluginExtensionPoint extensionPoint)`
Removes an extension point from this object.